from KNode import *
import hashlib
from connect_sign import set_hostname, set_port, push, pull
from crypto_sign import generate_key, key_to_string


password = 'kitty'
key = hashlib.sha256(password).hexdigest()

set_hostname("httpd@172.16.117.128")
set_port("22")

(pub_key, priv_key) = generate_key()
pub_string = key_to_string(pub_key)
priv_string = key_to_string(priv_key)

j=KNode()
j.name="sub child directory"
j.q=0
j.secret="jsecret"
j.writers=["katie",'giulio','nick']
j.readers=['kaite','giulio','nick','varun']
j.ws=['234234234','362345rg','2oi5gm']
j.key=key
j.contents=[]

k=KNode()
k.name="child directory"
k.q=1
k.secret="ksecret"
k.writers=["katie",'giulio','nick']
k.readers=['kaite','giulio','nick','varun']
k.ws=['234234234','362345rg','2oi5gm']
k.key=key
k.contents=[]

p=KNode()
p.name="parent directory"
p.q=1
p.secret="psecret"
p.writers=["katie",'giulio','nick']
p.readers=['kaite','giulio','nick','varun']
p.ws=['234234234','362345rg','2oi5gm']
p.key=key

k.contents=[j,j]
p.contents=[k,k]


push(p.to_cipher(),p.to_text(),p.getKey(),"somechallenge", priv_string)
push(k.to_cipher(),k.to_text(),k.getKey(),"somechallenge", priv_string)
push(j.to_cipher(),j.to_text(),j.getKey(),"somechallenge", priv_string)

